import hina_sdk
import unittest
# from requests import Session
# session = Session()
# session.verify = "/Users/tuze/tmp/charles-ssl-proxying-certificate.pem"

class MyTest(unittest.TestCase):

    # 本地模式
    def test_local(self):
        hina_sdk.init_log('/data/log/test_python.log')
        hina_sdk.register_common_properties({'name': 'ok'})
        hina_sdk.not_login_track(1234, 'Test', {'From2': 456})
        hina_sdk.not_login_track(1234, 'Test', {'From1': 'Baidu'})
        hina_sdk.not_login_track(1234, 'Test', {'From1': 'Baidu', '$project': "yuejianzhong"})
        hina_sdk.track_signup(5678,1234)
        hina_sdk.set_user(5678, {'mobile': '1231234', 'address': '12341234'})
        hina_sdk.login_track(5678, 'Test', {'From1': 'Baidu', '$token': "dhuw393jdcioj39"})
        hina_sdk.login_track(5678, 'Test', {'From1': 'Baidu', '$token': "dhuw393jdcioj39", '$project': "yuejianzhong"})
        hina_sdk.flush()


    # 网络模式
    def test_net(self):
        hina_sdk.init_server('https://test-hicloud.hinadt.com/gateway/hina-cloud-engine/hn?token=BHRfsTQS',6)
        hina_sdk.register_common_properties({'H_os':'macos','H_os_version':'ventura','H_ip':'192.168.1.102'})
        hina_sdk.not_login_track('python_not_login_track_9527', 'H_pre_event_AUT',{'H_os_version': '0.0.1', 'H_tinyint_1_AUT': '3'})
        # hina_sdk.not_login_track('python_not_login_track_315', 'Testanhao557788', {'From2': 456})
        # hina_sdk.not_login_track(5678, 'Testanhao1122', {'From1': 'Baidu'})
        # hina_sdk.not_login_track(5678, 'Testanhao1122', {'From1': 'Baidu', '$project': "yuejianzhong"})
        # hina_sdk.track_signup(5678, 1234)
        # hina_sdk.set_user(5678, {'mobile': '12312343', 'address': '12341234'})
        # hina_sdk.login_track(5678, 'Testanhao11223', {'From1': 'Baidu', '$token': "dhuw393jdcioj39"})
        # hina_sdk.login_track(5678, 'Testanhao1122', {'From1': 'Baidu', '$token': "dhuw393jdcioj39", '$project': "yuejianzhong"})
        hina_sdk.flush()


if __name__ == '__main__':
    unittest.main()

